QGIS Application - Bug report #16537
Images georeferenced with worldfile have a black frame when rotated
2017-05-11 04:11 PM - Olivier Dalang

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.18.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24443
Description

Hi !

Georeferencing images with worldfiles is great, as it's very light and doesn't require to rewrite the raster.

Still, currently, rasters displayed this way in QGIS display a black background when rotated. One can overcome this by adding a 0 as
transparent no-data value, but then every black pixel in the image becomes transparent (not only the background).

The expected behaviour is to have the image displayed with no background at all.

https://issues.qgis.org/attachments/download/6306/qgismasteralpha-linux-jpg.jpg

History

#1 - 2017-05-11 08:09 PM - Giovanni Manghi
- Status changed from Open to Feedback

Caan you please attach a sample + wid file? thanks!

#2 - 2017-05-11 08:32 PM - Nyall Dawson

If I recall correctly this is fixed in 3.0. can you test a nightly and confirm?

#3 - 2017-05-26 04:59 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Closing for lack of feedback (and as under the assumption that is fixed in master).
